Package org.apache.sling.cms

## Interface Site

    @ProviderType
    public interface Site

A inteface representing a sling:Site. Adaptable from a sling:Site Resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Gets the description of the site.
`Locale` `getLocale()` Gets the locale for the sites
`String` `getLocaleString()` Gets the locale as it is stored in the Sling repository
`String` `getPath()` Gets the path of the site
`org.apache.sling.api.resource.Resource` `getResource()` Gets the resource backing the site
`String` `getTitle()` Gets the title of the site
`String` `getUrl()` Gets the "primary" URL for the site as configured

### Method Detail

#### getDescription

    String getDescription()

Gets the description of the site.

Returns:
  the description of the site

#### getLocale

    Locale getLocale()

Gets the locale for the sites

Returns:
  the locale for the site

#### getLocaleString

    String getLocaleString()

Gets the locale as it is stored in the Sling repository

Returns:
  the string form of the site locale

#### getPath

    String getPath()

Gets the path of the site

Returns:
  the path of the site

#### getResource

    org.apache.sling.api.resource.Resource getResource()

Gets the resource backing the site

Returns:
  the resource at the site path

#### getTitle

    String getTitle()

Gets the title of the site

Returns:
  the title of the site

#### getUrl

    String getUrl()

Gets the "primary" URL for the site as configured

Returns:
  the primary url for the site